org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxLocalEx

All Superinterfaces:
  IgniteInternalTx

All Known Implementing Classes:
  GridDhtTxLocal, GridDhtTxLocalAdapter, GridNearTxLocal, IgniteTxLocalAdapter

    public interface IgniteTxLocalEx
    extends IgniteInternalTx

Local transaction API.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteInternalTx

`IgniteInternalTx.FinalizationStatus`

### Method Summary

All Methods Instance Methods Abstract Methods
`Throwable` `commitError()`
`boolean` `localFinish(boolean commit, boolean clearThreadMap)` Finishes transaction (either commit or rollback).
`GridCacheVersion` `minVersion()`
`void` `userCommit()`
`void` `userRollback(boolean clearThreadMap)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteInternalTx

`activeCachesDeploymentEnabled, addInvalidPartition, addMeta, allEntries, alternateVersions, colocated, commitAsync, commitError, commitVersion, commitVersion, completedVersions, concurrency, currentPrepareFuture, dht, done, empty, endVersion, entry, errorWhenCommitting, eventNodeId, finishFuture, hasWriteKey, implicit, implicitSingle, internal, invalidate, invalidPartitions, ioPolicy, isInvalidate, isolation, isRollbackOnly, isSystemInvalidate, local, localResult, markFinalizing, masterNodeIds, meta, near, nearXidVersion, needsCompletedVersions, nodeId, onePhaseCommit, onOwnerChanged, optimistic, optimisticLockEntries, originatingNodeId, otherNodeId, ownedVersion, ownsLock, ownsLockUnsafe, peek, pessimistic, readCommitted, readEntries, readMap, readSet, remainingTime, removeMeta, repeatableRead, rollbackAsync, salvageTx, seal, serializable, setRollbackOnly, size, startTime, state, state, storeEnabled, storeWriteThrough, subjectId, system, systemInvalidate, taskNameHash, threadId, timedOut, timeout, timeout, topologyVersion, topologyVersion, topologyVersionSnapshot, transactionNodes, txState, user, writeEntries, writeMap, writeSet, writeVersion, writeVersion, xid, xidVersion`

### Method Detail

#### minVersion

    GridCacheVersion minVersion()

Returns:
  Minimum version involved in transaction.

#### commitError

    @Nullable
    Throwable commitError()

Returns:
  Commit error.

#### userCommit

    void userCommit()
             throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If commit failed.

#### userRollback

    void userRollback(boolean clearThreadMap)
               throws IgniteCheckedException

Parameters:
  `clearThreadMap` - If `true` removes `GridNearTxLocal` from thread map.
Throws:
  `IgniteCheckedException` - If rollback failed.

#### localFinish

    boolean localFinish(boolean commit,
                        boolean clearThreadMap)
                 throws IgniteCheckedException

Finishes transaction (either commit or rollback).

Parameters:
  `commit` - `True` if commit, `false` if rollback.
  `clearThreadMap` - If `true` removes `GridNearTxLocal` from thread map.
Returns:
  `True` if state has been changed.
Throws:
  `IgniteCheckedException` - If finish failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018